End of support for Internet Explorer and old versions of TLS security protocols. Read More
Please follow our news section for BC Wildfire delays.

NEWS

End of support for Internet Explorer and old versions of TLS security

Jun 22, 2021

Internet Explorer will no longer be supported by Loomis Express effective August 2021. We recommend upgrading to one of the latest browsers such as Chrome, Safari, Edge or Firefox. If you choose to continue to use Internet Explorer, you will experience limited functionality and unusable pages.

Loomis Express will be implementing an upgrade to our security protocols in August 2021. In August 2021 we will only support TLS version 1.2 and newer (TLS 1.2 is the current standard). Please ensure that TLS 1.2 is enabled on your web browser.